<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- @(#)discussionDoEdit.jsp --%>

<%@page language= "java" import="com.sun.portal.providers.jsp.JSPProvider, java.lang.*" %>
<%@page errorPage="error.jsp" %>

<%
JSPProvider p = (JSPProvider)pageContext.getAttribute("JSPProvider");

if (request.getParameter("filter") != null)
   p.setStringProperty("defaultFilter", request.getParameter("filter"));

if (request.getParameter("threshold") != null)
   p.setStringProperty("defaultExpansionThreshold", request.getParameter("threshold"));

if (request.getParameter("dd") != null)
   p.setStringProperty("defaultDiscussionDisplay", request.getParameter("dd"));

if (request.getParameter("viewHits") != null)
    p.setIntegerProperty("viewHits", Integer.parseInt(request.getParameter("viewHits")));

if (request.getParameter("vdw") != null) {
	p.setBooleanProperty("viewDiscussionWindow", true);
} else {
	p.setBooleanProperty("viewDiscussionWindow", false);
}

if (request.getParameter("showDesc") != null) {
	p.setBooleanProperty("showDescription", true);
} else {
	p.setBooleanProperty("showDescription", false);
}
%>

